* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  line-height: 1.5;
  color: #2e3a36d7;

}

body a {
  color: #1a5875d7;
  text-decoration: none;
  transition: all 0.3s ease;
  }

a :hover {
  color: #656d70d7;
}

.hero {
  background-image: url(../img/portada-principal.jpg);
  background-size: cover;
  background-position: top center;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo {
  width: 50%;
  height: auto;
  background-color: #ffffff79;
  border-radius: 20px;
  box-shadow: #000000e5 0px 0px 50px;
}

a:visited {
  color: none;
}

.container {
  padding: 2em 2em;
  margin: 0 auto;
  max-width: 850px;
  height: vh100;
}

.container section {
  margin: 4em 0;
}

.presentacion {
  display: flex;
  justify-content: center;
  flex-direction: column;
  background-color: rgb(255, 255, 255);
}

.presentacion h1 {
  font-weight: bold;
  text-align: center;
  margin-bottom: 0.5em;
  font: 2em sans-serif;
}

.presentacion span {
  font-style: bold;
  color: #a17133;
  font-weight: bold;
}

.presentacion p {
  text-align: justify;
  font-size: 1em;
  color: #1f2020d7;
  margin-bottom: 1.5em;
}

.formulario h2 {
  margin-bottom: 1em;
}

.f-input::placeholder {
  color: black;
  opacity: 0.9;
}

.f-input {
  background-color: transparent;
  border: 2px solid #2cbaba;
  transition: all 0.3s;
  padding: 13px;
  margin-bottom: 15px;
  width: 100%;
  box-sizing: border-box;
  color: rgb(43, 43, 43);
  font-family: Helvetica, Arial, sans-serif;
  font-weight: 500;
  font-size: 18px;
  border-radius: 4px;
  line-height: 22px;
  text-align: left;
}

.f-input:focus {
  border: 2px solid #3f3838;
}

textarea {
  height: 250px;
  line-height: 150%;
  resize: vertical;
}

form button:hover {
  background: #3f3838;
}

.form-direction {
  display: flex;
  flex-direction: row;
  gap: 1em;
}


form button {
  font-family: Arial, Helvetica, sans-serif;
  width: 100%;
  background: #2cbaba;
  border-radius: 10px;
  border: 0;
  cursor: pointer;
  color: white;
  font-size: 24px;
  padding-top: 10px;
  padding-bottom: 10px;
  text-align: center;
  transition: all 0.3s;
  font-weight: 600;
}

.check-contrato {
  display: flex;
  align-items: center;
  gap: 1em;
  margin-bottom: 1em;
}


footer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  padding: 20px;
  background-color: #f8f9fa;
  color: #333;
  justify-items: center;
  align-items: center;
  box-shadow: 0 -5px 10px rgba(0, 0, 0, 0.1);
}

.footer-grid a {
  display: block;
  margin-bottom: 5px;
  color: #333;
  text-decoration: none;
}

/* RESPONSIVE DESIGN*/

@media (max-width: 720px) {
  .container {
    padding: 0 0.5em;
  }

  .footer-grid {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .form-direction {
    display: flex;
    flex-direction: column;
    gap: 0em;
  }

  .logo {
  width: 90%;
  height: auto;
}

.presentacion p {
  margin: 0 1em;
  margin-bottom: 1em;
}
}

.btn-back {
  background-color: #2cbaba;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 10px;
  transition: all 0.3s ease;
}

.btn-back:hover {
  background-color: #3f3838;
}

.hero-alt {
  background-image: url(../img/portada-principal.jpg);
  background-size: cover;
  background-position: top center;
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
}